\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]
	\tikzstyle{arrow} = [%
		thick,
		->,
		>=stealth,
		bend angle= 15
	]

	\node[soc] (m1s1) {};
	\node[soc] (m1s2) [right of=m1s1] {};
	\node[eco] (m1e1) [below of=m1s1] {};
	\node[eco] (m1e2) [right of=m1e1] {};
	\node (m1t1) [below of=m1e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I};
	
	\node[soc] (m2s1) [right of=m1s2, xshift=.25cm] {};
	\node[soc] (m2s2) [right of=m2s1] {};
	\node[eco] (m2e1) [below of=m2s1] {};
	\node[eco] (m2e2) [right of=m2e1] {};
	\path (m2s1) edge [arrow](m2s2);
	\node (m2t1) [below of=m2e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II};
	
	\node[soc] (m3s1) [right of=m2s2, xshift=.25cm] {};
	\node[soc] (m3s2) [right of=m3s1] {};
	\node[eco] (m3e1) [below of=m3s1] {};
	\node[eco] (m3e2) [right of=m3e1] {};
	\path (m3s1) edge [arrow, bend right] (m3s2);
	\path (m3s2) edge [arrow, bend right] (m3s1);
	\node (m3t1) [below of=m3e1, yshift=0.5cm, xshift=.5cm, align=flush center] {III};

	\node[soc] (m4s1) [below of=m1e1, yshift=-.5cm] {};
	\node[soc] (m4s2) [right of=m4s1] {};
	\node[eco] (m4e1) [below of=m4s1] {};
	\node[eco] (m4e2) [right of=m4e1] {};
	\path (m4e1) edge [arrow] (m4e2);
	\node (m4t1) [below of=m4e1, yshift=0.5cm, xshift=.5cm, align=flush center] {IV};
	
	\node[soc] (m5s1) [right of=m4s2, xshift=.25cm] {};
	\node[soc] (m5s2) [right of=m5s1] {};
	\node[eco] (m5e1) [below of=m5s1] {};
	\node[eco] (m5e2) [right of=m5e1] {};
	\path (m5e1) edge [arrow] (m5e2);
	\path (m5s1) edge [arrow] (m5s2);
	\node (m5t1) [below of=m5e1, yshift=0.5cm, xshift=.5cm, align=flush center] {V};

	\node[soc] (m6s1) [right of=m5s2, xshift=.25cm] {};
	\node[soc] (m6s2) [right of=m6s1] {};
	\node[eco] (m6e1) [below of=m6s1] {};
	\node[eco] (m6e2) [right of=m6e1] {};
	\path (m6e1) edge [arrow] (m6e2);
	\path (m6s1) edge [arrow, bend right] (m6s2);
	\path (m6s2) edge [arrow, bend right] (m6s1);
	\node (m6t1) [below of=m6e1, yshift=0.5cm, xshift=.5cm, align=flush center] {VI};

	\node[soc] (m7s1) [below of=m4e1, yshift=-.5cm] {};
	\node[soc] (m7s2) [right of=m7s1] {};
	\node[eco] (m7e1) [below of=m7s1] {};
	\node[eco] (m7e2) [right of=m7e1] {};
	\path (m7e1) edge [arrow, bend right] (m7e2);
	\path (m7e2) edge [arrow, bend right] (m7e1);
	\node (m7t1) [below of=m7e1, yshift=0.5cm, xshift=.5cm, align=flush center] {VII};
	
	\node[soc] (m8s1) [right of=m7s2, xshift=.25cm] {};
	\node[soc] (m8s2) [right of=m8s1] {};
	\node[eco] (m8e1) [below of=m8s1] {};
	\node[eco] (m8e2) [right of=m8e1] {};
	\path (m8e1) edge [arrow, bend right] (m8e2);
	\path (m8e2) edge [arrow, bend right] (m8e1);
	\path (m8s1) edge [arrow](m8s2);
	\node (m8t1) [below of=m8e1, yshift=0.5cm, xshift=.5cm, align=flush center] {VIII};
	
	\node[soc] (m9s1) [right of=m8s2, xshift=.25cm] {};
	\node[soc] (m9s2) [right of=m9s1] {};
	\node[eco] (m9e1) [below of=m9s1] {};
	\node[eco] (m9e2) [right of=m9e1] {};
	\path (m9e1) edge [arrow, bend right] (m9e2);
	\path (m9e2) edge [arrow, bend right] (m9e1);
	\path (m9s1) edge [arrow, bend right] (m9s2);
	\path (m9s2) edge [arrow, bend right] (m9s1);
	\node (m9t1) [below of=m9e1, yshift=0.5cm, xshift=.5cm, align=flush center] {IX};
	
	\node () [below of=m1s1, yshift=0.5cm, xshift=.5cm, align=flush center] {\color{gray} ?};
	\node () [below of=m2s1, yshift=0.5cm, xshift=.5cm, align=flush center] {\color{gray} ?};
	\node () [below of=m3s1, yshift=0.5cm, xshift=.5cm, align=flush center] {\color{gray} ?};
	\node () [below of=m4s1, yshift=0.5cm, xshift=.5cm, align=flush center] {\color{gray} ?};
	\node () [below of=m5s1, yshift=0.5cm, xshift=.5cm, align=flush center] {\color{gray} ?};
	\node () [below of=m6s1, yshift=0.5cm, xshift=.5cm, align=flush center] {\color{gray} ?};
	\node () [below of=m7s1, yshift=0.5cm, xshift=.5cm, align=flush center] {\color{gray} ?};
	\node () [below of=m8s1, yshift=0.5cm, xshift=.5cm, align=flush center] {\color{gray} ?};
	\node () [below of=m9s1, yshift=0.5cm, xshift=.5cm, align=flush center] {\color{gray} ?};
\end{tikzpicture}

\end{document}
